:root {
    --base-color: #FFFFFF;
    --main-color: #D4A45F;
    --sub-color: #EFE7DC;
    --accent-color: #1ED4D2;
    --text-color: #082627;
    --text-ja: "Shippori Mincho", serif;
    --text-en: "Cormorant", serif;
    --text-address: "Klee One", cursive;
}

body {
    background: linear-gradient(
        to right,
        #FFFFFF 60%,
        #EFE7DC 60%
    );
    background-repeat: no-repeat;
    position: relative;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

main {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

a {
    position: relative;
    color: var(--text-color);
}
a::before {
    position: absolute;
    content: "";
    bottom: -5px;
    left: 0;
    width: 100%;
    height: 1px;
    background-size: 12px 4px;
    background-image: linear-gradient(to right, var(--accent-color) 6px, transparent 6px);
    background-repeat: repeat-x;
    background-position: left bottom;
}
a:hover {
    opacity: 0.7;
}

/* 画像 */
.fv {
    position: relative;
}


.main-img img{
    width: 80%;
    max-height: 430px;
    aspect-ratio: 312 / 430;
    object-fit: cover;
    border-radius: 0 0 160px 0;
    object-position: 50% 30%;
    opacity: 0;
    animation: FadeIn02 3s forwards;
    overflow: hidden;
}


@keyframes FadeIn02 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@media screen and (min-width:768px) {
    .main-img {
        display: block;
        margin-bottom: 150px;
    }
    .main-img img{
        width: 66%;
        max-height: 720px;
        aspect-ratio: 9.6 / 7.2;
        object-fit: cover;
        border-radius: 0 0 160px 0;
    }
}

@media screen and (min-width:1024px) {
    .main-img img{
        width: 66%;
        max-height: 600px;
        aspect-ratio: 9.6 / 6;
        object-fit: cover;
        border-radius: 0 0 160px 0;
    }
}



.sub-img {
    display: none;
    animation: FadeIn02 3s forwards;
    opacity: 0;

}
.frame-img {
    display: none;
}
@media screen and (min-width:768px) {
    .sub-img {
        display: block;
        width: 22.5%;
        object-fit: contain;
        position: absolute;
        top: 0;
        right: 0;
    }

    .frame-img {
        display: block;
        position: absolute;
        width: 22.5%;
        background-size: contain;
        background-repeat: no-repeat;
        top: 103px;
        right: 70px;
    }
}

/* 静かに、深く、包まれる。 */
.text-vertical {
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    font-family: var(--text-ja);
    font-weight: 400;
    font-size: 24px;
    line-height: 1.4;
    letter-spacing: 0.1em;
    color: var(--base-color);
    position: absolute;
    top: 24px;
    left: 24px;
}

.text-wrap {
    width: fit-content;
    overflow: hidden;
}

.text-wrap:not(:last-child) {
    margin-left: 16px;
}

.text-wrap:nth-child(2) {
    margin-top: 64px;
}
.text-wrap:nth-child(3) {
    margin-top: 100px;
}

.text-wrap p {
    transform: translateY(100%);
    opacity: 0;
    animation: FadeIn 1s forwards cubic-bezier(.26,.07,.49,.93);
}

.text-wrap:nth-child(1) p {
    animation-delay: 1s;
}
.text-wrap:nth-child(2) p {
    animation-delay: 2s;
}

.text-wrap:nth-child(3) p {
    animation-delay: 3s;
}

@keyframes FadeIn {
    0% {
        transform: translateY(100%);
        opacity: 0;
    }

    100% {
        transform: translateY(0);
        opacity: 1;
    }
}


@media screen and (min-width:768px) {
    .text-vertical {
        font-size: clamp(1.5rem, 0.929rem + 1.19vw, 2rem);
        top: 6%;
        left: 16%;
    }

    .text-vertical p:not(:last-child) {
        margin-left: 40px;
    }

    .text-vertical p:nth-child(2) {
        margin-top: 80px;
    }
    .text-vertical p:nth-child(3) {
        margin-top: 120px;
    }
}

/* ２０２６年初夏　New open */
.new-open {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 83%;
    position: absolute;
    left: 15px;
    bottom: 0;
    transform: translateY(20%);
}

.new-open img{
   max-width: 325px;
   width: 100%;
}

.open-date {
    width: fit-content;
    display: flex;
    gap: 24px;
    align-items: center;
}

.open-date p{
    position: relative;
    font-family: var(--text-ja);
    font-weight: 400;
    font-size: 20px;
    line-height: 1.4;
    letter-spacing: 0.1em;
    color: var(--base-color);
}
.open-date img {
    width: 60px;
    height: 30px;
}


@media screen and (min-width:768px) {
    .new-open {
        width: 53%;
        left: 4.236%;
        transform: translateY(-50%);
    }
    
    .new-open img{
       max-width: 767px;
    }
    
    .open-date {
        width: fit-content;
        display: flex;
        gap: 24px;
        align-items: center;
    }
    
    .open-date p{
        font-size: clamp(1.5rem, 0.929rem + 1.19vw, 2rem);
    }
    .open-date img {
        width: 73px;
        height: 80px;
    }
}

.feature-text {
    position: relative;
    margin-top: 32px;
    width: fit-content;
    margin-left: auto;
    margin-right: 15px;
    font-family: var(--text-ja);
    font-weight: 400;
    font-size: 20px;
    line-height: 1.4;
    letter-spacing: 0.1em;
    color: var(--text-color);
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.feature-text span {
    font-size: 16px;
}

@media screen and (min-width:768px) {
    .feature-text {
        position: absolute;
        top: 75%;
        right: 3.2%;
        transform: translateY(-100%);
        margin-right: clamp(1rem, -1.143rem + 4.46vw, 2.875rem);
        font-size: clamp(1.5rem, 0.929rem + 1.19vw, 2rem);
        gap: 24px;
    }
    
    .feature-text span {
        font-size: 28px;
    }
}

.store-info-wrap {
    margin-top: 36px;
}

.store-info {
    padding-bottom: 40px;
    margin-top: auto;
    width: fit-content;
    position: relative;
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 0 15px;
}

.store-info .logo {
    width: 80px;
    height: 80px;
}

.store-text {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    color: var(--text-color);
}

.store-access {
    display: none;
    align-items: flex-end;
    color: var(--text-color);
}

.store-access.store-access--sp {
    display: flex;
}


.texts .text-xs {
    font-size: 16px;
    line-height: 1.4;
    letter-spacing: 0.1em;
}
.texts .text-s {
    font-size: 20px;
    line-height: 1.4;
    letter-spacing: 0.1em;
}
.texts .text-m {
    font-size: 24px;
    line-height: 1.4;
    letter-spacing: 0.1em;
}
.texts .text-m2 {
    font-size: 32px;
    line-height: 1.4;
    letter-spacing: 0.1em;
}
.texts .text-m3 {
    font-size: 24px;
    line-height: 1.4;
    letter-spacing: 0.1em;
}
.texts .text-l {
    font-size: 64px;
    line-height: 1;
    letter-spacing: 0.04em;
    color: var(--main-color);
}

.texts .regular {
    font-weight: 400;
}
.texts .medium {
    font-weight: 500;
}
.texts .en {
    font-family: var(--text-en);
    text-transform: uppercase;
}
.texts .ja {
    font-family: var(--text-ja);
}
.texts .italic {
    font-style: italic;
    font-family: var(--text-en);
}

.store-info--sp {
    width: fit-content;
    margin: 0 auto;
}

.wrap {
    display: block;
}

.address {
    font-family: var(--text-address);
    font-weight: 400;
    font-size: 12px;
    line-height: 1.8;
    letter-spacing: 0.1em;
    color: var(--text-color);
    display: none;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 24px;
    row-gap: 0;
    display: none;
}

.address .address-map {
    display: flex;
    align-items: center;
    gap: 24px;
}

.address.address--sp {
    display: block;
    padding: 0 15px;
}

.address.address--sp .address-map {
    display: flex;
    align-items: center;
}

.address a {
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--text-color);
}

.address img {
    width: 10px;
    height: 10px;
}

.tb-show {
    display: block;
}


@media screen and (min-width:768px) {


.store-info-wrap {
    margin-top: 0;
    display: flex;
    align-items: end;
    position: absolute;
    bottom: 16px;
}

.store-info {
    margin-top: 32px;
    gap: 24px;
    padding: 8px 32px 32px;
}

.store-info .logo {
    width: 120px;
    height: 120px;
}

.store-text {
    align-items: flex-end;
    white-space: nowrap;
}

.store-access {
    display: flex;
    margin-top: clamp(-1.625rem, -3.482rem + 3.87vw, 0rem);
    transform: scale(0.7);
    white-space: nowrap;
    margin-left: -1rem;
}

.store-access.store-access--sp {
    display: none;
}

.texts .text-xs {
    font-size: 24px;
}
.texts .text-s {
    font-size: clamp(1.5rem, 0.929rem + 1.19vw, 2rem);
}
.texts .text-m {
    font-size: clamp(2rem, 1.429rem + 1.19vw, 2.5rem);
}
.texts .text-m2 {
    font-size: clamp(2.25rem, 1.393rem + 1.79vw, 3rem);
}
.texts .text-m3 {
    font-size: clamp(1.5rem, 0.929rem + 1.19vw, 2rem);
}
.texts .text-l {
    font-size: clamp(4rem, 1.714rem + 4.76vw, 6rem)d;
}


.address {
    font-size: 16px;
    position: absolute;
    display: flex;
    bottom: -3.5rem;
    left: 0;
}

.address.address--sp {
    display: none;
}


.sp-show {
    display: none;
}
}

@media screen and (min-width:1024px) {

    .store-info {
        margin-top: 0;
    }
    .tb-show {
        display: none;
    }

    .texts .p-l {
        padding-left: 0.5rem;
    }
    
}

@media screen and (min-width:1060px) {

    .store-info {
        margin-top: 32px;
        gap: 24px;
        padding: 8px 32px;
    }

    .address {
        flex-wrap: nowrap;
        bottom: -1.5rem;
    }
}

@media screen and (min-width:1090px) {
    .store-access {
        transform: scale(1);
    }
}
